Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.bag
Class TypedSortedBag

    java.lang.Object
      org.apache.commons.collections.bag.TypedSortedBag

    public class TypedSortedBag

extends java.lang.Object

Decorates another `SortedBag` to validate that elements added are of a specific type.

The validation of additions is performed via an instanceof test against a specified `Class`. If an object cannot be added to the collection, an IllegalArgumentException is thrown.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne, Matthew Hawthorne

Constructor Summary
`protected` | `TypedSortedBag()` Restrictive constructor.

Method Summary
`static SortedBag` | `decorate(SortedBag bag, java.lang.Class type)` Factory method to create a typed sorted bag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedSortedBag

    protected TypedSortedBag()

  Restrictive constructor.

Method Detail

### decorate

    public static SortedBag decorate(SortedBag bag,
                                     java.lang.Class type)

  Factory method to create a typed sorted bag.

  If there are any elements already in the bag being decorated, they are validated.

  Parameters:
    `bag` - the bag to decorate, must not be null
    `type` - the type to allow into the bag, must not be null
  Returns:
    a new transformed SortedBag
  Throws:
    `java.lang.IllegalArgumentException` - if bag or type is null
    `java.lang.IllegalArgumentException` - if the bag contains invalid elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.